> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Payment Link



## OpenAPI

````yaml openapi/payment-links/retrieve-payment-link.json GET /payment-links/{code}
openapi: 3.1.0
info:
  title: payment-links
  version: 1.0.2
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - sec0: []
    sec1: []
paths:
  /payment-links/{code}:
    get:
      summary: Retrieve Payment Link
      operationId: retrieve-payment-link
      parameters:
        - name: code
          in: path
          description: The code of the payment link (UUID, 36 chars).
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                RETRIVE PAYMENT LINK:
                  value:
                    code: aace3f6d-e26d-45d0-9a4f-66523909ddf9
                    country: US
                    availability:
                      start_at: '2023-01-15T14:00:12Z'
                      finish_at: '2023-10-29T14:00:12Z'
                    status: CREATED
                    description: PRUEBA PAYMENT LINK 10/07
                    amount:
                      currency: USD
                      value: 5000
                    metadata:
                      - key: some key
                        value: some value
                    split_payment_methods: false
                    payment_method_types:
                      - PSE
                    one_time_use: true
                    callback_url: https://checkout.sandbox.y.uno/payment/status
                    installments_plan: null
                    customer_payer: null
                    taxes: null
                    additional_data:
                      airline: null
                      order: null
                      seller_details: null
                    organization_code: b887a970-9722-44fe-ab17-106bf1b93577
                    account_code: 8147da44-4de9-48ff-a194-51b2cd7d2a03
                    checkout_url: >-
                      https://checkout.sandbox.y.uno/payment?session=ac63a0d7-b2d7-4e72-9062-2e2e3a448359
                    payments_number: 0
                    merchant_image: ''
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: aace3f6d-e26d-45d0-9a4f-66523909ddf9
                  country:
                    type: string
                    example: US
                  availability:
                    type: object
                    properties:
                      start_at:
                        type: string
                        example: '2023-01-15T14:00:12Z'
                      finish_at:
                        type: string
                        example: '2023-10-29T14:00:12Z'
                  status:
                    type: string
                    example: CREATED
                  description:
                    type: string
                    example: PRUEBA PAYMENT LINK 10/07
                  amount:
                    type: object
                    properties:
                      currency:
                        type: string
                        example: USD
                      value:
                        type: integer
                        example: 5000
                        default: 0
                  metadata:
                    type: array
                    items:
                      type: object
                      properties:
                        key:
                          type: string
                          example: some key
                        value:
                          type: string
                          example: some value
                  split_payment_methods:
                    type: boolean
                    example: false
                    default: true
                  payment_method_types:
                    type: array
                    items:
                      type: string
                      example: PSE
                  one_time_use:
                    type: boolean
                    example: true
                    default: true
                  callback_url:
                    type: string
                    example: https://checkout.sandbox.y.uno/payment/status
                  installments_plan: {}
                  customer_payer: {}
                  taxes: {}
                  additional_data:
                    type: object
                    properties:
                      airline: {}
                      order: {}
                      seller_details: {}
                      device:
                        type: object
                        properties:
                          locale:
                            type: string
                            example: es-CL
                          geolocation:
                            type: string
                          event_uuid:
                            type: string
                          user_agent:
                            type: string
                      payer_risk_data:
                        type: object
                        properties:
                          login_platform:
                            type: string
                            example: WEB
                          approved_transactions_2m:
                            type: integer
                            default: 0
                          recent_transactions_3h:
                            type: integer
                            default: 0
                          is_paid_user:
                            type: boolean
                          account_creation_date:
                            type: string
                            example: '20191005'
                  organization_code:
                    type: string
                    example: b887a970-9722-44fe-ab17-106bf1b93577
                  account_code:
                    type: string
                    example: 8147da44-4de9-48ff-a194-51b2cd7d2a03
                  checkout_url:
                    type: string
                    example: >-
                      https://checkout.sandbox.y.uno/payment?session=ac63a0d7-b2d7-4e72-9062-2e2e3a448359
                  payments_number:
                    type: integer
                    example: 0
                    default: 0
                  merchant_image:
                    type: string
                    example: ''
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Invalid Request:
                  value:
                    code: INVALID_REQUEST
                    messages:
                      - Invalid request
                  summary: Invalid Request
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: public-api-key
      x-default: <Your public-api-key>
    sec1:
      type: apiKey
      in: header
      name: private-secret-key
      x-default: <Your private-secret-key>

````